@keyframes fade-in {
  from { opacity: 0; visibility: hidden; }
  to { opacity: 1; visibility: visible; }
}

@keyframes fade-out {
  from { opacity: 1; visibility: visible; }
  to { opacity: 0; visibility: hidden; }
}


div#color-picker,
div#chat {
  &.is-visible {
    animation-name: fade-in;
    animation-duration: 0.25s;
    animation-fill-mode: both;
    animation-timing-function: ease;
  }

  &.is-hidden {
    animation-name: fade-out;
    animation-duration: 0.25s;
    animation-fill-mode: both;
    animation-timing-function: ease;
  }
}

button.has-notification {
  @keyframes pulse {
    from { background-color: inherit; }
    to { background-color: $color-primary-light; }
  }

  animation-name: pulse;
  animation-duration: 2s;
  animation-fill-mode: both;
  animation-timing-function: ease;
  animation-iteration-count: infinite;
  animation-direction: alternate;
}

div#splash {
  &.is-hidden {
    transition: transform 1s ease, visibility 0.5s;
    transform: translate(0, 100vh);
    visibility: hidden;
  }
}
